g2_unpack6.c(3)

NAME
g2_unpack6.c - Unpack Section 6 (Bit-Map Section) of a GRIB2 message.

SYNOPSIS

#include 'grib2_int.h'
#include <stdio.h>
#include <stdlib.h>

  Functions

g2int g2_unpack6 (unsigned char *cgrib, g2int *iofst, g2int ngpts, g2int *ibmap, g2int **bmap)
Unpack Section 6 (Bit-Map Section) of a GRIB2 message.

Detailed Description

Unpack Section 6 (Bit-Map Section) of a GRIB2 message.

Author
    Stephen Gilbert

Date
    2002-10-31

Definition in file g2_unpack6.c.

Function Documentation

  g2int g2_unpack6 (unsigned char * cgrib, g2int * iofst, g2int ngpts, g2int * ibmap, g2int ** bmap)

Unpack Section 6 (Bit-Map Section) of a GRIB2 message.

Parameters
    cgrib char array containing Section 6 of the GRIB2 message.
    iofst Bit offset of the beginning of Section 6 in cgrib.
    ngpts Number of grid points specified in the bit-map
    ibmap Bitmap indicator (see Code Table 6.0)

    •   0 bitmap applies and is included in Section 6.

    •   1-253 Predefined bitmap applies

    •   254 Previously defined bitmap applies to this field

    •   255 Bit map does not apply to this product.

    bmap Pointer to an integer array containing decoded bitmap. (if ibmap=0)

Returns

    •   G2_NO_ERROR No error.

    •   G2_UNPACK_BAD_SEC Array passed had incorrect section number.

    •   G2_UNPACK6_BAD_BITMAP Unrecognized pre-defined bit-map.

    •   G2_UNPACK_NO_MEM Memory allocation error.

Author
    Stephen Gilbert

Date
    2002-10-31

Definition at line 32 of file g2_unpack6.c.

References G2_NO_ERROR, G2_UNPACK_BAD_SEC, G2_UNPACK_NO_MEM, gbit(), and gbits().

Referenced by g2_getfld().

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.